<?php
register_activation_hook( WPSLASH_ACS_VOUCHER_PLUGIN_FILE, 'wpslash_acs_voucher_activation' );
 
/**
 * Runs only when the plugin is activated.
 *
 * @since 0.1.0
 */
function wpslash_acs_voucher_activation() {
	 
	 set_transient( 'wpslash-acs-voucher-notice', true, 5 );

}


function wpslash_acs_voucher_activation_notice() {
 
	if ( get_transient( 'wpslash-acs-voucher-notice' ) ) {
		?>
		<div class="updated notice is-dismissible">
			<p><?php esc_html_e('Thanks for installing ACS Courier Voucher for WooCommerce', 'wpslash-acs-shipping'); ?>. <strong><a href="admin.php?page=wc-settings&tab=wpslash_acs"><?php esc_html_e('Click Here', 'wpslash-acs-shipping'); ?></a></strong> <?php esc_html_e('to get started with the configuration'); ?>.</p>
		</div>
		<?php
		delete_transient( 'wpslash-acs-voucher-notice' );
	}
}

add_action( 'admin_notices', 'wpslash_acs_voucher_activation_notice' );

?>
