<?php
if (!function_exists('wpslash_voucher_status_changed_to_completed')) {
	$wpslash_voucher_global_completed_enabled =  get_option( 'wc_settings_tab_wpslash_voucher_global_automatic_generation_enabled');
	$wpslash_voucher_global_completed_courier =  get_option( 'wc_settings_tab_wpslash_voucher_global_automatic_generation_courier' );


	//if automatic voucher is enabled//
	if ('yes' === $wpslash_voucher_global_completed_enabled && !empty($wpslash_voucher_global_completed_courier)) {
		function wpslash_voucher_status_changed_to_completed( $order_id) {
			$wpslash_voucher_global_completed_enabled =  get_option( 'wc_settings_tab_wpslash_voucher_global_automatic_generation_enabled');
			$wpslash_voucher_global_completed_courier =  get_option( 'wc_settings_tab_wpslash_voucher_global_automatic_generation_courier' );

			
		

			if (wpslash_voucher_check_if_can_auto_created($order_id)) {
					do_action('wpslash_voucher_status_changed_to_completed_global', $wpslash_voucher_global_completed_courier, $order_id);

			}
		

		}

		add_action( 'woocommerce_order_status_completed', 'wpslash_voucher_status_changed_to_completed', -1, 1);


	}
}
if (!function_exists('wpslash_voucher_check_if_can_auto_created')) {

	function wpslash_voucher_check_if_can_auto_created( $order_id) {
		$wpslash_voucher_global_shipping_methods_enabled =  get_option( 'wc_settings_tab_wpslash_voucher_global_shipping_method_enabled' );
		if (!empty($wpslash_voucher_global_shipping_methods_enabled)) {		
					global $woocommerce;
					$order = wc_get_order($order_id);
					$order_methods = array();
			foreach ( $order->get_shipping_methods() as $shipping_method ) {
				$order_methods[] = $shipping_method->get_method_id();
				
		
			}
			if (!in_array($order_methods[0], $wpslash_voucher_global_shipping_methods_enabled )) {
					return false;
			} else {
				return true;
			}


		} else {
			return true;

		}


	}

}

